import YError from 'yerror';
import BASIC from './mechanisms/basic';
import DIGEST from './mechanisms/digest';
import BEARER from './mechanisms/bearer';
const mechanisms = [BASIC, DIGEST, BEARER];
BASIC;
DIGEST;
BEARER;
export { BASIC, DIGEST, BEARER, mechanisms };
export function parseWWWAuthenticateHeader(header, authMechanisms = mechanisms, {
  strict = true
} = {
  strict: true
}) {
  let result = null;
  authMechanisms.some(authMechanism => {
    if (0 === header.indexOf(authMechanism.type + ' ') || !strict && 0 === header.indexOf(authMechanism.type.toLowerCase() + ' ')) {
      result = {
        type: authMechanism.type,
        data: authMechanism.parseWWWAuthenticateRest(header.substr(authMechanism.type.length + 1))
      };
      return true;
    }

    return false;
  });

  if (!result) {
    throw new YError('E_UNKNOWN_AUTH_MECHANISM', header);
  }

  return result;
}
export function parseAuthorizationHeader(header, authMechanisms = mechanisms, {
  strict = true
} = {
  strict: true
}) {
  let result = null;
  authMechanisms.some(function (authMechanism) {
    if (0 === header.indexOf(authMechanism.type + ' ') || !strict && 0 === header.indexOf(authMechanism.type.toLowerCase() + ' ')) {
      result = {
        type: authMechanism.type,
        data: authMechanism.parseAuthorizationRest(header.substr(authMechanism.type.length + 1))
      };
      return true;
    }

    return false;
  });

  if (result) {
    return result;
  }

  throw new YError('E_UNKNOWN_AUTH_MECHANISM', header);
}
export function buildWWWAuthenticateHeader(authMechanism, data) {
  return `${authMechanism.type} ${authMechanism.buildWWWAuthenticateRest(data)}`;
}
export function buildAuthorizationHeader(authMechanism, data) {
  return `${authMechanism.type} ${authMechanism.buildAuthorizationRest(data)}`;
}
//# sourceMappingURL=index.mjs.map