const binary = require('@mapbox/node-pre-gyp'),
    path = require('path'),
    { supportedPlatforms } = require("./package.json"),
    bindingPath = binary.find(path.resolve(path.join(__dirname,'./package.json'))),
    { EventEmitter } = require("events"),
    { inherits } = require("util");

let binding;

console.log(`Binding path: ${bindingPath}`);

try {
    if (bindingPath) {
        binding = require(bindingPath);
    } else {
        throw "Binding not found";
    }
} catch (e) {
    binding = {
        Pjsua2: function MockPjsua2() {
            throw new Error(`${process.platform} is unsupported! Only ${supportedPlatforms.join(", ")} are supported: ${e}`);
        }
    }
}

inherits(binding.Pjsua2, EventEmitter);
binding.Pjsua2.CallState = {
    NULL: 0,
    CALLING: 1,
    INCOMING: 2,
    EARLY: 3,
    CONNECTING: 4,
    CONFIRMED: 5,
    DISCONNECTED: 6
};
module.exports = binding.Pjsua2;
