const childProcess = require("child_process"),
    path = require("path"),
    DIR = {
        CLONE: path.join(__dirname, "..", ".pjsip")
    },
    Listr = require('listr'),
    Q = require("q"),
    fs = require("fs"),
    { pjsip } = require("../package.json");

module.exports = {
    DIR: DIR.CLONE,
    tasks: [
        {
            title: "🧹Cleanup",
            enabled: () => fs.existsSync(DIR.CLONE),
            task: () => {
                let def = Q.defer();
                fs.rm(DIR.CLONE, { recursive: true }, error => {
                    if (error) {
                        def.reject(error);
                    } else {
                        def.resolve();
                    }
                });
                return def.promise;
            }
        },
        {
            title: `⬇ Cloning PJSIP`,
            task: () => {
                let def = Q.defer();
                childProcess.exec(`git clone ${pjsip.clone} ${DIR.CLONE}`, (error, stdout) => {
                    if (error) {
                        def.reject(error);
                    } else {
                        def.resolve(stdout);
                    }
                });
                return def.promise;
            }
        },
        {
            title: `🏷 Checkout ${pjsip.tag}`,
            task: () => {
                let def = Q.defer();
                childProcess.exec(`git checkout ${pjsip.tag}`, { cwd: DIR.CLONE }, (error, stdout) => {
                    if (error) {
                        def.reject(error);
                    } else {
                        def.resolve(stdout);
                    }
                });
                return def.promise;
            }
        }
    ]
}

if (module === require.main) {
    return new Listr(module.exports.tasks).run()
}